package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisSinsScheMapper;
import com.goldenwater.slaj.hidd.domain.BisSinsSche;
import com.goldenwater.slaj.hidd.service.IBisSinsScheService;

/**
 * 安全检查方案 服务层实现
 */
@Service
public class BisSinsScheServiceImpl implements IBisSinsScheService {

    @Autowired
    private BisSinsScheMapper bisSinsScheMapper;

    /**
     * 查询安全检查方案信息
     * @param guid 查询条件
     * @return 安全检查方案信息
     */
    @Override
    public BisSinsSche selectBisSinsScheByGuid(String guid) {
        return bisSinsScheMapper.selectBisSinsScheByGuid(guid);
    }

    /**
     * 查询安全检查方案列表
     * @param bisSinsSche 安全检查方案查询条件
     * @return 安全检查方案集合
     */
    @Override
    public List<BisSinsSche> selectBisSinsScheList(BisSinsSche bisSinsSche) {
        return bisSinsScheMapper.selectBisSinsScheList(bisSinsSche);
    }

    /**
     * 新增安全检查方案
     * @param bisSinsSche 安全检查方案信息
     * @return 影响行数
     */
    @Override
    public int insertBisSinsSche(BisSinsSche bisSinsSche) {
        return bisSinsScheMapper.insertBisSinsSche(bisSinsSche);
    }

    /**
     * 修改安全检查方案
     * @param bisSinsSche 安全检查方案信息
     * @return 影响行数
     */
    @Override
    public int updateBisSinsSche(BisSinsSche bisSinsSche) {
        return bisSinsScheMapper.updateBisSinsSche(bisSinsSche);
    }

    /**
     * 删除安全检查方案
     * @param guid 安全检查方案主键
     * @return 影响行数
     */
    @Override
    public int deleteBisSinsScheByGuid(String guid) {
        return bisSinsScheMapper.deleteBisSinsScheByGuid(guid);
    }

    /**
     * 批量删除安全检查方案
     * @param guids 安全检查方案主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisSinsScheByGuids(String[] guids) {
        return bisSinsScheMapper.deleteBisSinsScheByGuids(guids);
    }
}
